> ## Documentation Index
> Fetch the complete documentation index at: https://docs.casehealth.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run policy check

> Triggers a policy check for a specific prior authorization



## OpenAPI

````yaml POST /prior_auths/{prior_auth_id}/policy_check
openapi: 3.1.0
info:
  title: CaseHealth API
  description: API for managing prior authorizations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.casehealth.ai/api/v1/
security:
  - apiKeyAuth: []
paths:
  /prior_auths/{prior_auth_id}/policy_check:
    post:
      description: Triggers a policy check for a specific prior authorization
      parameters:
        - name: prior_auth_id
          in: path
          description: Unique identifier of the prior authorization
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Optional parameters for the policy check
        content:
          application/json:
            schema:
              type: object
              properties:
                policy_document_url:
                  type: string
                  format: uri
                  description: >-
                    Link to a PDF for the policy. Leave blank to use policies
                    found in workspace.
                policy_payload:
                  type: string
                  description: Policy payload
      responses:
        '200':
          description: Policy check results found
          content:
            application/json:
              schema:
                type: object
                properties:
                  policy_check:
                    type: array
                    items:
                      type: object
                      properties:
                        step:
                          type: integer
                          description: Step number in the policy check process
                        question_or_action:
                          type: string
                          description: The question or action being evaluated
                        answer:
                          type: string
                          description: The answer to the question or result of the action
                        passed:
                          type: boolean
                          description: Whether this step passed the policy check
                        reason:
                          type: string
                          description: Explanation for the result
                        policy_guideline_quoted_source:
                          type: string
                          description: Quoted source from the policy guidelines
        '400':
          description: Bad request - Invalid prior authorization ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Prior authorization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````